"use strict";
var Premium = Premium || {};

Premium.creative = {
	// vastTag: "https://track.adform.net/serving/videoad/?bn=22592277",
    vastTag: { src: 'https://video-content.gumgum.com/example-video_out/549848702668725546/example-video_out_1.mp4', poster: 'assets/poster.jpg', type: 'video/mp4', vtrResetOnEnd:false },
	init: function() {
		/* START OF CUSTOM JS */

		var videoContainer = document.querySelector("#video-container");
		
		var playerReadyHandler = function() {
			Premium.audio.inactiveTabListener();
			Premium.video.pauseWhenOutOfView();
		}

		Premium.jpxApi.createVideo('id1', videoContainer, Premium.creative.vastTag, 'mobileui showplay');
		Premium.jpxApi.videoEvent('playerAppended', 'id1', playerReadyHandler);

		/* END OF CUSTOM JS */
	}
};